%define lib_api		0
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_api} %{lib_major}
%define lib_name_devel	%mklibname %{name} -d

Name:		sratom
Version:	0.6.6
Release:	%mkrel 1
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Source0:	http://download.drobilla.net/%{name}-%{version}.tar.bz2
Patch0:		%{name}-remove-deprecated-doxygen.patch
URL:		http://drobilla.net/software/sratom
License:	ISC License (ISC)
Group:		System/Libraries

BuildRequires:	waf
BuildRequires:	glib2-devel
BuildRequires:	serd-devel
BuildRequires:	sord-devel
BuildRequires:	pkgconfig(lv2) >= 1.16.0

%description
Lightweight C library for storing RDF data in memory.

%files
%doc COPYING doc/

#-----------------------------------

%package -n %{lib_name}
Summary:	Library for serialising LV2 atoms to/from RDF, particularly the Turtle syntax
Group:		System/Libraries
Obsoletes:	%{_lib}sratom0 < 0.4.2-3

%description -n %{lib_name}
Lightweight C library for storing RDF data in memory.

%files -n %{lib_name}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}
%{_libdir}/lib%{name}-%{lib_api}.so.%{lib_major}.*

#-----------------------------------

%package -n %{lib_name_devel}
Summary:	Headers for the sord RDF storage library
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against %{name}.

%files -n %{lib_name_devel}
%{_libdir}/lib%{name}-%{lib_api}.so
%dir %{_includedir}/%{name}-%{lib_api}/%{name}
%{_includedir}/%{name}-%{lib_api}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}-%{lib_api}.pc

#-----------------------------------
%prep
%setup -q
%autopatch -p1

# let wscript(s) find the custom waf scripts
mkdir -pv tools
touch __init__.py
cp -v waflib/extras/{autoship,autowaf,lv2}.py tools/
mkdir -pv plugins/tools/
cp -v waflib/extras/{autoship,autowaf,lv2}.py plugins/tools/
rm -rv waflib
sed -e 's/waflib.extras/tools/g' \
    -e "s/load('autowaf'/load('autowaf', tooldir='tools'/g" \
    -e "s/load('lv2'/load('lv2', tooldir='tools'/g" \
    -i wscript

%build
%waf
%waf_build -vv

%install
%waf_install


%changelog
* Wed Oct 14 2020 luigiwalser <luigiwalser> 0.6.6-1.mga8
+ Revision: 1636059
- 0.6.6
- add upstream patch via fedora to fix build with doxygen

* Wed Jul 01 2020 daviddavid <daviddavid> 0.6.4-2.mga8
+ Revision: 1600979
- compile with system waf (from archlinux)

* Wed Jul 01 2020 zezinho <zezinho> 0.6.4-1.mga8
+ Revision: 1600931
- new version 0.6.4

* Fri Feb 14 2020 umeabot <umeabot> 0.6.2-2.mga8
+ Revision: 1521729
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.6.2-1.mga7
+ Revision: 1346481
- 0.6.2

* Sun Sep 23 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1301164
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.6.0-1.mga6
+ Revision: 1079358
- 0.6.0

* Wed Feb 17 2016 umeabot <umeabot> 0.4.6-5.mga6
+ Revision: 962918
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 0.4.6-4.mga6
+ Revision: 894946
- rebuild for lv2-1.12.0

* Wed Oct 15 2014 umeabot <umeabot> 0.4.6-3.mga5
+ Revision: 746919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.6-2.mga5
+ Revision: 689313
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 0.4.6-1.mga5
+ Revision: 669730
- new version 0.4.6

* Thu May 08 2014 barjac <barjac> 0.4.4-2.mga5
+ Revision: 621144
- rebuild against lv2-1.8.0

* Fri Mar 07 2014 barjac <barjac> 0.4.4-1.mga5
+ Revision: 600627
- new version 0.4.4

* Sat Oct 19 2013 umeabot <umeabot> 0.4.2-5.mga4
+ Revision: 533089
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 barjac <barjac> 0.4.2-4.mga4
+ Revision: 471443
- rebuild against new lv2

* Sat Jul 13 2013 wally <wally> 0.4.2-3.mga4
+ Revision: 453819
- fix lib pkg name
- use our build time flags
- drop unneeded requires from devel pkg

* Sat Jul 13 2013 barjac <barjac> 0.4.2-2.mga4
+ Revision: 453688
- rebuild against lv2-1.4

* Sat Jul 13 2013 philippedidier <philippedidier> 0.4.2-1.mga4
+ Revision: 453637
- new version 0.4.2

* Mon Jan 14 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 382610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 0.4.0-1.mga3
+ Revision: 321469
- spec clean
- Import from mandriva


* Sat Aug 25 2012 Frank Kober <emuse@mandriva.org> 0.4.0-1mdv2012.0
+ Revision: 815738
- new version 0.4.0

* Mon Apr 23 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.2.0-1
+ Revision: 792904
- BR:sord-devel
- BR: lv2
- imported package sratom

